import * as a from "react";
import x from "../context.mjs";
import y from "./Dot.mjs";
function p(t) {
  var s = t.prefixCls, l = t.marks, m = t.dots, c = t.style, u = t.activeStyle, r = a.useContext(x), o = r.min, f = r.max, i = r.step, v = a.useMemo(function() {
    var e = /* @__PURE__ */ new Set();
    if (l.forEach(function(d) {
      e.add(d.value);
    }), m && i !== null)
      for (var n = o; n <= f; )
        e.add(n), n += i;
    return Array.from(e);
  }, [o, f, i, m, l]);
  return /* @__PURE__ */ a.createElement("div", {
    className: "".concat(s, "-step")
  }, v.map(function(e) {
    return /* @__PURE__ */ a.createElement(y, {
      prefixCls: s,
      key: e,
      value: e,
      style: c,
      activeStyle: u
    });
  }));
}
export {
  p as default
};
